0

I would like to ask you something. I need to create a VM machine with Ubuntu Bionic because there is a software that I need to test but it is just works in Ubuntu Bionic and I don't want to change my version. I decided to use uvtool to create the virtual machine, but I keep receiving an error and I don't know why. I follow this steps but when I enter the next command uvt-kvm create vm1 to create the virtual machine I receive this error:

ubuntu-distro-info: Header 'version,codename,series,created,release,eol,eol-server,eol-esm'
in file '/usr/share/distro-info/ubuntu.csv' does not match excatly 
'version,codename,series,created,release,eol,eol-server'.
Traceback (most recent call last):
  File "/usr/bin/uvt-kvm", line 35, in <module>
    uvtool.libvirt.kvm.main_cli_wrapper(sys.argv[1:])
  File "/usr/lib/python2.7/dist-packages/uvtool/libvirt/kvm.py", line 717, in main_cli_wrapper
    main(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/uvtool/libvirt/kvm.py", line 684, in main
    default=["release=%s" % get_lts_series()],
  File "/usr/lib/python2.7/dist-packages/uvtool/libvirt/kvm.py", line 418, in get_lts_series
    output = subprocess.check_output(['distro-info', '--lts'], close_fds=True)
  File "/usr/lib/python2.7/subprocess.py", line 574, in check_output
    raise CalledProcessError(retcode, cmd, output=output)
subprocess.CalledProcessError: Command '[u'distro-info', u'--lts']' returned non-zero exit status 1`

I have checked the ubuntu.csv file but I found nothing strange in the file.

Ubuntu.csv

Thank you for your help, I hope you can help me.

Update

This is the output of the apt-cache policy distro-info distro-info-data command, thanks for the help

distro-info:
  Installed: 0.18~ubuntu16.04.1
  Candidate: 0.18~ubuntu16.04.1
  Version table:
 *** 0.18~ubuntu16.04.1 500
        500 http://archive.ubuntu.com/ubuntu xenial-backports/main amd64 Packages
        100 /var/lib/dpkg/status
     0.14ubuntu0.1 500
        500 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
     0.14build1 500
        500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
distro-info-data:
  Installed: 0.28ubuntu0.13
  Candidate: 0.28ubuntu0.13
  Version table:
 *** 0.28ubuntu0.13 500
        500 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
        500 http://archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages
        500 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages
        100 /var/lib/dpkg/status
     0.28 500
        500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
        500 http://archive.ubuntu.com/ubuntu xenial/main i386 Packages

1 Answer 1

1

you have an error when running the command

$ distro-info --lts

The esm fields got added a while ago and your system seems to have a mismatch between the data file (containing the data) and the program that reads it. From your log one can assume the .csv is new but the tool is old.

Please check your packages if they are both on the latest version

$ sudo apt update
$ apt-cache policy distro-info distro-info-data

If not please update them and it should work again.

In case you don't want to care about distro-info you might also specify the release yourself, then uvtool will not call distro-info. As an example the more explicit uvtool calls:

$ uvt-simplestreams-libvirt --verbose sync --source http://cloud-images.ubuntu.com/daily arch=amd64 label=daily release=focal
$ uvt-kvm create --password ubuntu f-test1 arch=amd64 release=focal label=daily

Or you can instead of uvtool use the newer tool multipass

4
  • Hi, thanks for your answer. You were right, the files are not updated at the same version, but I have already used the sudo apt-get update command and the version does not change. How could I solve this? Commented Feb 5, 2020 at 15:42
  • @jairo-mejia Could you add the output of the apt-cache policy call that I stated above and the release that you are on to your question and ping again? To be clear the version doesn't have to be "the same" but is has to be recent enough e.g. on Bionic we have atm distro-info:0.18ubuntu0.18.04.1 and distro-info-data:0.37ubuntu0.6 Commented Feb 5, 2020 at 19:37
  • Hi, I have already made the response of the command. Thanks for your help Commented Feb 6, 2020 at 3:53
  • Thank you @JairoMejia - from your output I see that you have distro-info 0.18~ubuntu16.04.1 from "backports" but distro-info-data 0.28ubuntu0.13 of the normal release - that is a mismatch. ATM there is no distro-info-data file in xenial that matches the new distro-info in backports. So downgrade to the latest in-release version like apt install distro-info=0.14ubuntu0.1. That will make things work again. I filed this bug for you: bugs.launchpad.net/ubuntu/+source/distro-info/+bug/1862305 Commented Feb 7, 2020 at 7:41

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .